{-# LANGUAGE CPP #-}

-- | This module provides type-safe access to filepath manipulations.
--
--   It is purely a wrapper for 'System.Path.Windows' or 'System.Path.Posix'
--   depending on the platform on which it is compiled.
--
-- Ben Moseley - (c) 2009-2010

#if defined(mingw32_HOST_OS) || defined(__MINGW32__)
module System.Path(module System.Path.Windows) where
import System.Path.Windows
#else
module System.Path(module System.Path.Posix) where
import System.Path.Posix
#endif


